graph.hpp File Reference

A class to represent a graph. More...

`#include <claw/meta/no_type.hpp>`
`#include <map>`
`#include <vector>`
`#include <queue>`
`#include <exception>`
`#include <iterator>`
`#include <utility>`
`#include <cstddef>`
`#include <claw/impl/graph.tpp>`

Go to the source code of this file.

## Classes

class | claw::graph_exception
| The exceptions thrown by the graphs. More...
class | claw::graph< S, A, Comp >
| A class to represent a graph. More...
class | claw::graph< S, A, Comp >::graph_vertex_iterator
| Iterator on the graph's vertices. More...
class | claw::graph< S, A, Comp >::graph_edge_iterator
| Iterator on the graph's edges. More...
class | claw::graph< S, A, Comp >::graph_edge_iterator::edge
| Value pointed by the iterator. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

A class to represent a graph.

Author
  Julien Jorge

Definition in file graph.hpp.